\documentclass{amsart}

%\usepackage{kpfonts}
%\usepackage{tgtermes}

\usepackage{amssymb}
\usepackage{tikz}
\usetikzlibrary{positioning,decorations.pathreplacing}
\usepackage{mathrsfs}

\usepackage[bookmarks]{hyperref}


\newtheorem{theorem}{Theorem}[section]
%\newtheorem*{theorem*}{Theorem}
\newtheorem{lemma}[theorem]{Lemma}
\newtheorem{proposition}[theorem]{Proposition}
\newtheorem{corollary}[theorem]{Corollary}
\newtheorem{conjecture}[theorem]{Conjecture}
\newtheorem{problem}[theorem]{Problem}

\theoremstyle{definition}
\newtheorem{definition}[theorem]{Definition}
\newtheorem{example}[theorem]{Example}

\theoremstyle{remark}
\newtheorem{claim}{Claim}

\let\define\emph
\let\al\mathbf
\let\var\mathcal
\let\clo\mathscr
\let\rel\mathbb
\let\tup\mathbf
\let\join\vee
\let\meet\wedge
\let\equals\approx
\let\proves\vdash
\let\Union\bigcup
\newcommand{\notni}{\not\mkern1mu\ni}
\newcommand{\idclo}[1]{\clo{#1}^{\text{id}}}
\newcommand{\freeclo}[1]{{#1^{\rel F}}}

\DeclareMathOperator{\Cg}{Cg}
\DeclareMathOperator{\Cross}{Cross}
\DeclareMathOperator{\EHSP}{\mathsf{EHSP}}
\DeclareMathOperator{\HSP}{\mathsf{HSP}}
\DeclareMathOperator{\Exp}{\mathsf{E}}

\newcommand\todo[1]{{\color{red} \textbf{TODO}\quad #1}
  \GenericWarning{TODO: \space`#1'}{TODO: \space`#1'}}

\author[J. Opr\v{s}al]{Jakub Opr\v{s}al}
\email{jakub.oprsal@tu-dresden.de}
\address{Department of Algebra, Faculty of Mathematics and Physics,
  Charles University in~Prague, Sokolovsk\'a 83, 186 75 Praha, Czech
  Republic, and
  Institut f\"ur Algebra, Technische Universit\"at Dresden,
  01062 Dresden, Germany}

\title[Taylor's modularity conjecture and related problems]
  {Taylor's modularity conjecture and related problems for~idempotent varieties}
\date{\today}

\keywords{Mal'cev condition, interpretability, congruence modularity, cube term}
\subjclass[2010]{Primary: 08B05; Secondary: 03C05, 08B10}

\thanks{Supported by Czech Science Foundation, GA\v{C}R 13-01832S; and Charles
  University in Prague, project GAUK-558313.  The author has also received
  funding from the European Research Council (Grant Agreement no.\ 681988,
  CSP-Infinity) and the National Science Centre Poland under grant no.\
  UMO-2014/13/B/ST6/01812}

\hypersetup{
  pdfauthor={Jakub Opr\v{s}al},
  pdftitle={Taylor's modularity conjecture and related problems for idempotent
    varieties},
  pdfborder=0 0 0,
}


\begin{document}

\maketitle

\begin{abstract}
We provide a~partial result on Taylor's modularity conjecture, and several
related problems. Namely, we show that the interpretability join of two
idempotent varieties that are not congruence modular is not congruence modular
either, and we prove an analogue for idempotent varieties with a~cube term.
Also, similar results are proved for linear varieties and the properties of
congruence modularity, having a~cube term, congruence $n$-permutability for
a~fixed $n$, and satisfying a~non-trivial congruence identity.
\end{abstract}

% 1. Introduction
\input{introduction}
% 2. Preliminaries
\input{preliminaries}
% 3. Overview of the method
\input{overview-and-colorings}

% 4. Taylor's conjecture
\input{modularity}
% 5. Having n-permutable congruences
\input{permutability}
% 6. Satisfying a non-trivial congruence identity
\input{congruence-identity}
% 7. Having a cube term
\input{cube-term}

\subsection*{Acknowledgements}

The results of the present paper are a~part of the author's Doctoral Thesis. The
author would like to express his gratitude to his advisor, Libor Barto, for his
supervision of this work.

% References
\bibliographystyle{alpha}
\bibliography{malcev-conditions}

\end{document}
